### Method

# AppStream AgreementSection set_description

since: 0.12.1

#### Declaration [src]

    void
    as_agreement_section_set_description (
      AsAgreementSection* agreement_section,
      const gchar* desc,
      const gchar* locale
    )

#### Description [src]

Sets the agreement section desc.

Available since: 0.12.1

#### Parameters

`desc`

  Type: `const gchar*`

  The agreement description, e.g. “GDPR”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  The locale in BCP47 format. e.g. “en-GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.